package com.bonus.canteen.core.supply.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel(
   value = "DrpSupplierCategory对象",
   description = "供应商类目关联表"
)
public class DrpSupplierCategory {
   @ApiModelProperty("主键id")
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Integer id;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("类目id")
   private Long categoryId;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String createBy;
   @TableField(value = "create_time",fill = FieldFill.INSERT )
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @TableField(value = "update_by",fill = FieldFill.UPDATE)
   @ApiModelProperty("更新人")
   private String updateBy;
   @TableField(value = "update_time",fill = FieldFill.UPDATE)
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;

   public Integer getId() {
      return this.id;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public Integer getRevision() {
      return this.revision;
   }



   public DrpSupplierCategory setId(final Integer id) {
      this.id = id;
      return this;
   }

   public DrpSupplierCategory setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpSupplierCategory setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
      return this;
   }

   public DrpSupplierCategory setRevision(final Integer revision) {
      this.revision = revision;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public void setCreateBy(String createBy) {
      this.createBy = createBy;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public void setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public void setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public void setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }

   @Override
   public String toString() {
      return "DrpSupplierCategory{" +
              "id=" + id +
              ", supplierId=" + supplierId +
              ", categoryId=" + categoryId +
              ", revision=" + revision +
              ", createBy='" + createBy + '\'' +
              ", createTime=" + createTime +
              ", updateBy='" + updateBy + '\'' +
              ", updateTime=" + updateTime +
              '}';
   }
}
